Bug 198197 - pygame.error: SDL_ttf render failed
Summary: pygame.error: SDL_ttf render failed
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: SDL_ttf   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2006-07-10 13:33 UTC by Patrice Dumas
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-30 01:21:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Patrice Dumas 2006-07-10 13:33:26 UTC
Description of problem:

LightYears (a game which may be found here:
http://www.jwhitham.org.uk/biscuit_games/LightYears/) aborts
when beginning the game(the presentation screen and the menu 
screen work well). The last error message is:
pygame.error: SDL_ttf render failed

The whole traceback:
  File "./LightYears.py", line 20, in ?
    startup.Main()
  File "code/startup.py", line 81, in Main
    main.Main()
  File "code/main.py", line 103, in Main
    quit = Main_Menu_Loop(n, clock, screen, (width, height))
  File "code/main.py", line 232, in Main_Menu_Loop
    (width,height), None, cmd)
  File "code/game.py", line 224, in Main_Loop
    Summary(g)
  File "code/game.py", line 198, in Summary
    New_Mail("You are playing " + lev[ g.challenge ] + " game.")
  File "code/mail.py", line 58, in New_Mail
    __messages.append((time.time() + MSG_EXPIRY_TIME,

I have the latest rawhide installed, with 
SDL-1.2.10-3
SDL_ttf-2.0.7-4.fc5
freetype-2.2.1-2
pygame-1.7.1-7.fc6.1

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. install pygame
2. "install" LightYears
3.  wget http://www.jwhitham.org.uk/biscuit_games/LightYears/LightYears-1.2.zip
unzip LightYears-1.2.zip
cd LightYears
./LightYears.py

click on 'Play new gamùe' and the Tutorial (or any other game)

Actual results:

traceback with pygame.error: SDL_ttf render failed

Expected results:

The game was working before my latest rawhide update.

Additional info:

Comment 1 Michael Schwendt 2006-07-10 14:07:25 UTC
Are you sure the traceback is complete?

Comment 2 Patrice Dumas 2006-07-10 14:27:09 UTC
At least that's what I get on the console.

As a side note it seems that this bug corresponds with the 
update to the latest freetype. I'll try to revert to see
if it fixes that issue.

Comment 3 Patrice Dumas 2006-07-10 14:48:57 UTC
I have verified that coming back to freetype-2.1.10-6 solves that
issue. 

Comment 4 Patrice Dumas 2006-07-11 13:12:59 UTC
This message has just flown on fedora-devel-list, I guess this
should fix my issue:

"FreeType has been upgraded from 2.1.x => 2.2.x. Freetype-2.2.x does
*not* contain libttf.so.  Applications that were linked against
libttf.so need to be rebuilt."


Comment 5 Michael Schwendt 2006-07-11 16:40:02 UTC
But pygame uses SDL_ttf, which in turn links against freetype 2
libfreetype and not libttf. Rebuilding SDL_ttf doesn't fix this, so
probably there is an incompatibility between freetype 2.1.x and
2.2.x which breaks SDL_ttf. libttf is not used.

Comment 6 Patrice Dumas 2006-09-14 22:19:04 UTC
I was indeed wrong. 

It is still broken in latest rawhide.

Comment 7 Patrice Dumas 2006-12-30 01:21:33 UTC
This is fixed now, at least in devel. Don't know when it got 
fixed, though. Closing.


Note You need to log in before you can comment on or make changes to this bug.